# Uses of Class
javax.imageio.plugins.jpeg.JPEGHuffmanTable

Packages that use JPEGHuffmanTable
Package
Description
javax.imageio.plugins.jpeg
Classes supporting the built-in JPEG plug-in.

## Uses of JPEGHuffmanTable in javax.imageio.plugins.jpeg

Fields in javax.imageio.plugins.jpeg declared as JPEGHuffmanTable
Modifier and Type
Field
Description
`static final JPEGHuffmanTable`
JPEGHuffmanTable.`StdACChrominance`
The standard AC chrominance Huffman table.
`static final JPEGHuffmanTable`
JPEGHuffmanTable.`StdACLuminance`
The standard AC luminance Huffman table.
`static final JPEGHuffmanTable`
JPEGHuffmanTable.`StdDCChrominance`
The standard DC chrominance Huffman table.
`static final JPEGHuffmanTable`
JPEGHuffmanTable.`StdDCLuminance`
The standard DC luminance Huffman table.
Methods in javax.imageio.plugins.jpeg that return JPEGHuffmanTable
Modifier and Type
Method
Description
`JPEGHuffmanTable[]`
JPEGImageReadParam.`getACHuffmanTables()`
Returns a copy of the array of AC Huffman tables set on the most recent call to `setDecodeTables`, or `null` if tables are not currently set.
`JPEGHuffmanTable[]`
JPEGImageWriteParam.`getACHuffmanTables()`
Returns a copy of the array of AC Huffman tables set on the most recent call to `setEncodeTables`, or `null` if tables are not currently set.
`JPEGHuffmanTable[]`
JPEGImageReadParam.`getDCHuffmanTables()`
Returns a copy of the array of DC Huffman tables set on the most recent call to `setDecodeTables`, or `null` if tables are not currently set.
`JPEGHuffmanTable[]`
JPEGImageWriteParam.`getDCHuffmanTables()`
Returns a copy of the array of DC Huffman tables set on the most recent call to `setEncodeTables`, or `null` if tables are not currently set.
Methods in javax.imageio.plugins.jpeg with parameters of type JPEGHuffmanTable
Modifier and Type
Method
Description
`void`
JPEGImageReadParam.`setDecodeTables(JPEGQTable[] qTables, JPEGHuffmanTable[] DCHuffmanTables, JPEGHuffmanTable[] ACHuffmanTables)`
Sets the quantization and Huffman tables to use in decoding abbreviated streams.
`void`
JPEGImageWriteParam.`setEncodeTables(JPEGQTable[] qTables, JPEGHuffmanTable[] DCHuffmanTables, JPEGHuffmanTable[] ACHuffmanTables)`
Sets the quantization and Huffman tables to use in encoding abbreviated streams.